EZ_DnDGetDragConversionTargets(3)

NAME
EZ_DnDGetDragConversionTargets - return the lists of targets the drag converts

SYNOPSIS
#include <EZ.h>

void  EZ_DnDGetDragConversionTargets(Atom **targets_ret, int **ntargets_return
                                     int   *modifier_return)

ARGUMENTS
targets_return returns the array of targets.

ntargets_return returns the number of entries in target_return.

modfier_return returns the modifier masks for the current DnD session.

DESCRIPTION

EZ_DnDGetDragConversionTargets returns the list of targets the current drag converts. If DnD is not currently active, the returned values are random. This procedure is intended for to be used by Drag-Start-Filters and Drop-Start-Filters to select best conversion targets.

SEE ALSO
EZ_GetDnDDropLocation(3), EZ_DnDGetMatchedConversionTargets(3)